--Hydrocraft Fishing Additions.

function HCAddLure(lure)
	for x=1, #Fishing.fishes do
		table.insert(Fishing.fishes[x].lure, lure);
	end
	print("Hydrocraft lure" .. lure .. " loaded.");
end

local HCWoodFish = {};
HCWoodFish.item = "HCLurewoodfish";
HCWoodFish.plastic = true;
HCWoodFish.chanceOfBreak = 1;
Fishing.lure["HCWoodfish"] = HCWoodFish;
HCAddLure("HCLurewoodfish");

local HCFeatherFly = {};
HCWoodFish.item = "HCLurefeatherfly";
HCWoodFish.plastic = true;
HCWoodFish.chanceOfBreak = 1;
Fishing.lure["HCFeatherFly"] = HCFeatherFly;
HCAddLure("HCLurefeatherfly");

local HCPinecone = {};
HCWoodFish.item = "HCLurepinecone";
HCWoodFish.plastic = true;
HCWoodFish.chanceOfBreak = 1;
Fishing.lure["HCPinecone"] = HCPinecone;
HCAddLure("HCLurepinecone");

local HCBirchbark = {};
HCWoodFish.item = "HCLurebirchbark";
HCWoodFish.plastic = true;
HCWoodFish.chanceOfBreak = 1;
Fishing.lure["HCBirchbark"] = HCBirchbark;
HCAddLure("HCLurebirchbark");

local HCStick = {};
HCWoodFish.item = "HCLurestick";
HCWoodFish.plastic = true;
HCWoodFish.chanceOfBreak = 1;
Fishing.lure["HCStick"] = HCStick;
HCAddLure("HCLurestick");

local HCGarland = {};
HCWoodFish.item = "HCLuregarland";
HCWoodFish.plastic = true;
HCWoodFish.chanceOfBreak = 1;
Fishing.lure["HCGarland"] = HCGarland;
HCAddLure("HCLuregarland");

local HCIntestine = {};
HCWoodFish.item = "HCIntestines";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCIntestine"] = HCIntestine;
HCAddLure("HCIntestines");

local HCLeech = {};
HCWoodFish.item = "HCLeech";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCLeech"] = HCLeech;
HCAddLure("HCLeech");

local HCBeetle = {};
HCWoodFish.item = "HCBeetle";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCBeetle"] = HCBeetle;
HCAddLure("HCBeetle");

local HCBeetlegrub = {};
HCWoodFish.item = "HCBeetlegrub";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCBeetlegrub"] = HCBeetlegrub;
HCAddLure("HCBeetlegrub");

local HCPillbug = {};
HCWoodFish.item = "HCPillbug";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCPillbug"] = HCPillbug;
HCAddLure("HCPillbug");

local HCCaterpillar = {};
HCWoodFish.item = "HCCaterpillar";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCCaterpillar"] = HCCaterpillar;
HCAddLure("HCCaterpillar");

local HCHousefly = {};
HCWoodFish.item = "HCHousefly";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCHousefly"] = HCHousefly;
HCAddLure("HCHousefly");

local HCCicada = {};
HCWoodFish.item = "HCCicada";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCCicada"] = HCCicada;
HCAddLure("HCCicada");

local HCMoleCricket = {};
HCWoodFish.item = "HCMolecricket";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCMoleCricket"] = HCMoleCricket;
HCAddLure("HCMolecricket");

local HCDragonFly = {};
HCWoodFish.item = "HCDragonfly";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCDragonFly"] = HCDragonFly;
HCAddLure("HCDragonfly");

local HCFireFly = {};
HCWoodFish.item = "HCFirefly";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCFireFly"] = HCFireFly;
HCAddLure("HCFirefly");

local HCSilkWorm = {};
HCWoodFish.item = "HCSilkworm";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCSilkWorm"] = HCSilkWorm;
HCAddLure("HCSilkworm");

local HCSilkMothMale = {};
HCWoodFish.item = "HCSilkmothmale";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCSilkMothMale"] = HCSilkMothMale;
HCAddLure("HCSilkmothmale");

local HCSilkMothFemale = {};
HCWoodFish.item = "HCSilkmothfemale";
HCWoodFish.plastic = false;
HCWoodFish.chanceOfBreak = 15;
Fishing.lure["HCSilkMothFemale"] = HCSilkMothFemale;
HCAddLure("HCSilkmothfemale");

